# Makefile for builtins lib
# Hacked together for MiNT library by Dave Gymer

CPPFLAGS = -I.. -I. -DHAVE_RESOURCE -DMiNT

.def.o:
	rm -f $@
	./mkbuiltins $(DIRECTDEFINE) $*.def
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $*.c
	rm -f $*.c

.def.c:
	rm -f $@
	./mkbuiltins $(DIRECTDEFINE) $*.def

DEFS =  alias.def bind.def break.def builtin.def cd.def colon.def \
	command.def declare.def echo.def enable.def eval.def \
	exec.def exit.def fc.def fg_bg.def hash.def help.def history.def \
	jobs.def kill.def let.def read.def return.def set.def setattr.def \
	shift.def source.def suspend.def test.def times.def trap.def \
	type.def ulimit.def umask.def wait.def getopts.def reserved.def

OFILES = alias.o bind.o break.o builtin.o cd.o colon.o command.o \
	common.o declare.o echo.o enable.o eval.o exec.o exit.o \
	fc.o fg_bg.o hash.o help.o history.o jobs.o kill.o \
	let.o read.o return.o set.o setattr.o shift.o source.o \
	suspend.o test.o times.o trap.o type.o ulimit.o umask.o \
	wait.o getopts.o getopt.o builtins.o

all: mkbuiltins builtins.a

builtins.a: mkbuiltins $(OFILES)
	ar cs $@ $(OFILES)

builtext.h builtins.c: mkbuiltins $(DEFS)
	rm -f builtext.h builtins.c
	./mkbuiltins -externfile builtext.h -structfile builtins.c \
		-noproduction $(DEFS)

mkbuiltins: mkbuiltins.c
	$(CC) $(CFLAGS) -o $@ mkbuiltins.c
	chmod +x mkbuiltins

ulimit.o: ulimit.def pipesize.h

pipesize.h:	psize.aux
	$(SHELL) ./psize.sh > pipesize.h

psize.aux:	psize.c
	$(CC) $(CFLAGS) -o $@ psize.c
	chmod +x psize.aux
