diff -c /usr/gnu/src/orig/config.h ./config.h
*** /usr/gnu/src/orig/config.h	Sat Nov  9 16:26:48 1991
--- ./config.h	Sat Nov  9 16:27:38 1991
***************
*** 86,94 ****
  #  define HAVE_READLINE_SOURCE
  #endif /* READLINE */
  
  /* The default value of the PATH variable. */
! #define DEFAULT_PATH_VALUE \
    ":/usr/gnu/bin:/usr/local/bin:/usr/ucb:/bin:/usr/bin:/etc:/usr/etc"
  
  /* The value for PATH when invoking `command -p'.  This is only used when
     the Posix.2 confstr () function, or CS_PATH define are not present. */
--- 86,104 ----
  #  define HAVE_READLINE_SOURCE
  #endif /* READLINE */
  
+ /* Install it as a normal library. */
+ #if defined atarist
+ #  undef HAVE_READLINE_SOURCE
+ #endif
+ 
  /* The default value of the PATH variable. */
! #if defined atarist
! #  define DEFAULT_PATH_VALUE \
!   ":/usr/gnu/bin:/usr/local/bin:/bin:/usr/bin:/etc"
! #else
! #  define DEFAULT_PATH_VALUE \
    ":/usr/gnu/bin:/usr/local/bin:/usr/ucb:/bin:/usr/bin:/etc:/usr/etc"
+ #endif
  
  /* The value for PATH when invoking `command -p'.  This is only used when
     the Posix.2 confstr () function, or CS_PATH define are not present. */
diff -c /usr/gnu/src/orig/machines.h ./machines.h
*** /usr/gnu/src/orig/machines.h	Sat Nov  9 16:26:56 1991
--- ./machines.h	Sat Nov  9 16:28:44 1991
***************
*** 1006,1011 ****
--- 1006,1031 ----
  
  /* **************************************************************** */
  /*								    */
+ /*			Atari ST / MiNT   			    */
+ /*								    */
+ /* **************************************************************** */
+ 
+ #if defined atarist || defined ataritt
+ 
+ #define M_MACHINE "Atari"
+ #define M_OS MiNT
+ #define REQUIRED_LIBRARIES -liio -lreadline -ltermcap
+ #define HAVE_SIGLIST
+ #undef USE_GNU_MALLOC	/* don't like fighting the library */
+ #define HAVE_VPRINTF
+ #define SYSDEP_CFLAGS -O -fomit-frame-pointer -fcombine-regs
+ #define HAVE_STRERROR
+ #define VOID_SIGHANDLER
+ 
+ #endif  /* atarist */
+ 
+ /* **************************************************************** */
+ /*								    */
  /*			Generic Entry   			    */
  /*								    */
  /* **************************************************************** */
diff -c /usr/gnu/src/orig/shell.c ./shell.c
*** /usr/gnu/src/orig/shell.c	Sat Nov  9 16:27:12 1991
--- ./shell.c	Sat Nov  9 16:29:30 1991
***************
*** 846,852 ****
--- 846,861 ----
        goto file_error_and_exit;
      }
    string[file_info.st_size] = '\0';
+ #ifdef MiNT
+   {
+     char *s = string;
  
+     do
+       if (*s == '\r')
+ 	*s = ' ';
+     while (*s++);
+   }
+ #endif
    return_catch_flag++;
    bcopy ((char *)return_catch, (char *)old_return_catch, sizeof (jmp_buf));
  
diff -c /usr/gnu/src/orig/test.c ./test.c
*** /usr/gnu/src/orig/test.c	Sat Nov  9 16:27:18 1991
--- ./test.c	Sat Nov  9 16:30:02 1991
***************
*** 79,86 ****
--- 79,88 ----
  #  endif
  #endif /* !_POSIX_VERSION */
  
+ #ifndef MiNT /* Hmm, I think the MiNT library is wrong here :-( */
  extern gid_t getgid (), getegid ();
  extern uid_t geteuid ();
+ #endif
  
  #if !defined (R_OK)
  #define R_OK 4
